#!/usr/bin/env node

// require modules
var fs			= require('fs');
var path		= require('path');
var formideCLI	= require('commander');
var colors		= require('colors');

// define global variable to reach all lib items
lib = {
	settings: 	require('./lib/settings'),
	auth: 		require('./lib/auth'),
	api: 		require('./lib/api'),
	project:	require('./lib/project')
};

// load formide-cli package.json
var formideCliJson = require( path.join(__dirname, 'pacakge.json') );

// load app config from current directory
var appJson = require( path.join(__dirname, 'app.json') );

// set formideCLI version
formideCLI.version(formideCliJson.version);

// set available commands
formideCLI
	.command('login')
	.description('Login to your FORMIDE account')
	.action(lib.auth.login);

formideCLI
	.command('logout')
	.description('Logout of your FORMIDE account')
	.action(lib.auth.logout);

formideCLI
	.command('project create')
	.description('Create a new FORMIDE app from our template')
	.action(lib.project.create);

formideCLI
	.command('project run')
	.description('Run your app locally to test it before publishing')
	.action(lib.project.run);

formideCLI
	.command('project publish')
	.description('Publish your project to the FORMIDE app store')
	.action(lib.project.publish);

// parse command line arguments
formideCLI.parse(process.argv);

// show error when incorrect entry
if(!process.argv.slice(2).length) {
	program.outputHelp();
}